package thyyxxk.webserver.constants.sidicts;

import lombok.Getter;
import thyyxxk.webserver.utils.StringUtil;

@Getter
public enum RxItemTypeCode {
    XY("11", "西药", "09"),
    ZCY("12", "中成药", "11"),
    ZYYP("13", "中药饮片", "10"),
    ZL("21", "治疗", "05"),
    JY("22", "检验", "04"),
    JC("23", "检查", "03"),
    SS("24", "手术", "06"),
    MZ("25", "麻醉", ""),
    HL("26", "护理", "07"),
    SS2("27", "膳食", ""),
    SX("28", "输血", ""),
    SY("29", "输氧", ""),
    QT("31", "其他", "14"),
    ZK("32", "转科", ""),
    SY2("33", "术后", ""),
    CY("34", "出院", ""),
    ZY("35", "转院", ""),
    SW("36", "死亡", ""),
    CH("37", "产后", "");

    private final String code;
    private final String medChrgitmType;
    private final String description;

    RxItemTypeCode(String code, String description, String medChrgitmType) {
        this.code = code;
        this.description = description;
        this.medChrgitmType = medChrgitmType;
    }

    public static RxItemTypeCode getByMedChrgitmType(String medChrgitmType) {
        if (StringUtil.isBlank(medChrgitmType)) {
            return QT;
        }
        for (RxItemTypeCode rxItemTypeCode : RxItemTypeCode.values()) {
            if (rxItemTypeCode.medChrgitmType.equals(medChrgitmType)) {
                return rxItemTypeCode;
            }
        }
        return QT;
    }
}
